Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.callbacks

# Annotation Type Callbacks

@Target(METHOD) @Retention(RUNTIME) @Inherited public @interface Callbacks
This object represents an array of Callback URLs that can be invoked.

See Also:
  - OpenAPI Specification Callback Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Callback[]`
`value`
An array of Callback annotations which are a map of possible out-of band callbacks related to the parent operation

## Element Details

### value

Callback[] value
An array of Callback annotations which are a map of possible out-of band callbacks related to the parent operation

Returns:
  the array of the callbacks

Default:
  {}